Ubuntu

b44 Broadcom Ethernet stops working after installation of backports modules

Reported by Anton Kraus on 2008-10-22
34
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux-backports-modules-2.6.27 (Ubuntu)
High
Tim Gardner

Bug Description

Binary package hint: linux-backports-modules-2.6.27-7-generic

My onboard ethernet works fine with the latest kernel.
With the backports modules installed, however, this isn't the case.

lspci tells the following:
02:05.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)
 Subsystem: ASUSTeK Computer Inc. Device 80a8
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 32
 Interrupt: pin A routed to IRQ 10
 Region 0: Memory at dd000000 (32-bit, non-prefetchable) [size=8K]
 Capabilities: [40] Power Management version 2
  Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=2 PME-
 Kernel modules: b44

dmesg shows several error messages about the b44 module:
[ 22.343318] b44: disagrees about version of symbol ssb_device_is_enabled
[ 22.343387] b44: Unknown symbol ssb_device_is_enabled
[ 22.343725] b44: disagrees about version of symbol ssb_pcicore_dev_irqvecs_enable
[ 22.343795] b44: Unknown symbol ssb_pcicore_dev_irqvecs_enable
[ 22.344297] b44: disagrees about version of symbol ssb_bus_may_powerdown
[ 22.344359] b44: Unknown symbol ssb_bus_may_powerdown
[ 22.344592] b44: disagrees about version of symbol ssb_dma_free_consistent
[ 22.344648] b44: Unknown symbol ssb_dma_free_consistent
[ 22.345236] b44: disagrees about version of symbol ssb_pcihost_register
[ 22.345296] b44: Unknown symbol ssb_pcihost_register
[ 22.345852] b44: disagrees about version of symbol ssb_dma_alloc_consistent
[ 22.345904] b44: Unknown symbol ssb_dma_alloc_consistent
[ 22.346231] b44: disagrees about version of symbol ssb_dma_set_mask
[ 22.346287] b44: Unknown symbol ssb_dma_set_mask
[ 22.346876] b44: disagrees about version of symbol ssb_device_enable
[ 22.346928] b44: Unknown symbol ssb_device_enable
[ 22.347563] b44: disagrees about version of symbol ssb_driver_unregister
[ 22.347616] b44: Unknown symbol ssb_driver_unregister
[ 22.348135] b44: disagrees about version of symbol __ssb_driver_register
[ 22.348186] b44: Unknown symbol __ssb_driver_register
[ 22.348492] b44: disagrees about version of symbol ssb_bus_powerup
[ 22.348541] b44: Unknown symbol ssb_bus_powerup
[ 22.349333] b44: disagrees about version of symbol ssb_clockspeed
[ 22.349383] b44: Unknown symbol ssb_clockspeed
[ 22.349667] b44: disagrees about version of symbol ssb_dma_translation
[ 22.349717] b44: Unknown symbol ssb_dma_translation

I hope this information helps.

Anton Kraus (done) on 2008-10-22
description: updated
Fioravanti Diego (diravan) wrote :

I have the same issue, with my dell. dmesg shows me the same errors when I try to load b44 module.

Matthias Metzger (macellarius) wrote :

I'm also on a dell ubuntu notebook and I'm experiencing exactly the same problem. b44 module does not load in kernel 2.6.27-7.
It's the same as in bug #251538.

Chris Coulson (chrisccoulson) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it without more information.

Please include the following additional information, if you have not already done so (pay attention to lspci's additional options), as required by the Ubuntu Kernel Team:
1. Please include the output of the command "uname -a" in your next response. It should be one, long line of text which includes the exact kernel version you're running, as well as the CPU architecture.
2. Please run the command "dmesg > dmesg.log" after a fresh boot and attach the resulting file "dmesg.log" to this bug report.
3. Please run the command "sudo lspci -vvnn > lspci-vvnn.log" and attach the resulting file "lspci-vvnn.log" to this bug report.
4. Please run "modinfo b44" and paste the output.

For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeamBugPolicies Thanks in advance!

Changed in linux-backports-modules-2.6.27:
status: New → Incomplete
Fioravanti Diego (diravan) wrote :

Ok, "uname -a" : 2.6.27-7-generic #1 SMP Thu Oct 30 04:18:38 UTC 2008 i686 GNU/Linux

Fioravanti Diego (diravan) wrote :
Fioravanti Diego (diravan) wrote :
LaMont Jones (lamont) on 2008-11-03
Changed in linux-backports-modules-2.6.27:
assignee: nobody → timg-tpi
Changed in linux-backports-modules-2.6.27:
importance: Undecided → High
status: Incomplete → Triaged
Tim Gardner (timg-tpi) wrote :

linux-backports-modules-2.6.27 (2.6.27-7.5) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Fix search for iwl5000 firmware file name.
  * Update compat-wireless to wireless-testing master-2008-10-31
  * reverted wireless-testing "ath5k: Update interrupt masking code"
    which causes problems with ath5k.

 -- Tim Gardner < <email address hidden>> Mon, 03 Nov 2008 10:58:09 -0700

Even though the changelog doesn't mention b44, the change is actually buried in the 'Update compat-wireless' part.

Changed in linux-backports-modules-2.6.27:
status: Triaged → Fix Released
Matthias Metzger (macellarius) wrote :

hm, for me the updated package doesn't work. same behaviour as before.

Anton Kraus (done) wrote :

I can confirm that the problem persists with the proposed update.

Matthias Metzger (macellarius) wrote :

problem persists even in the updated version

Changed in linux-backports-modules-2.6.27:
status: Fix Released → Confirmed
Tim Gardner (timg-tpi) wrote :

linux-backports-modules-2.6.27 (2.6.27-7.6) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Really update to wireless-testing master-2008-10-31
    Somehow either git failed me, or it was pilot error,
    but the last upload wasn't master-2008-10-31. This also
    includes the b44 driver.
    -LP: #293217

 -- Tim Gardner <email address hidden> Tue, 04 Nov 2008 14:17:29 -0700

Changed in linux-backports-modules-2.6.27:
status: Confirmed → Fix Committed
Matthias Metzger (macellarius) wrote :

The problem still persists with the update. Can anyone confirm this behaviour?

sudo modprobe b44 gives this output:
FATAL: Error inserting b44 (/lib/modules/2.6.27-7-generic/kernel/drivers/net/b44.ko): Unknown symbol in module, or unknown parameter (see dmesg)

Matthias Metzger (macellarius) wrote :

ok, sorry. now it's working.
closed

Anton Kraus (done) wrote :

The second fix works.

Thank you very much :)

Tim Gardner (timg-tpi) on 2008-11-06
Changed in linux-backports-modules-2.6.27:
status: Fix Committed → Fix Released
Greg (greg-thesantosfamily) wrote :

Mine is still broken on 2.6.27-7.

gsantos@gsantos-1521:~$ dmesg | grep b44
[ 5.352958] b44: disagrees about version of symbol ssb_device_is_enabled
[ 5.352962] b44: Unknown symbol ssb_device_is_enabled
[ 5.353057] b44: disagrees about version of symbol ssb_pcicore_dev_irqvecs_enable
[ 5.353059] b44: Unknown symbol ssb_pcicore_dev_irqvecs_enable
[ 5.353188] b44: disagrees about version of symbol ssb_bus_may_powerdown
[ 5.353190] b44: Unknown symbol ssb_bus_may_powerdown
[ 5.353251] b44: disagrees about version of symbol ssb_dma_free_consistent
[ 5.353253] b44: Unknown symbol ssb_dma_free_consistent
[ 5.353441] b44: disagrees about version of symbol ssb_pcihost_register
[ 5.353443] b44: Unknown symbol ssb_pcihost_register
[ 5.353633] b44: disagrees about version of symbol ssb_dma_alloc_consistent
[ 5.353635] b44: Unknown symbol ssb_dma_alloc_consistent
[ 5.353744] b44: disagrees about version of symbol ssb_dma_set_mask
[ 5.353746] b44: Unknown symbol ssb_dma_set_mask
[ 5.353948] b44: disagrees about version of symbol ssb_device_enable
[ 5.353950] b44: Unknown symbol ssb_device_enable
[ 5.354168] b44: disagrees about version of symbol ssb_driver_unregister
[ 5.354170] b44: Unknown symbol ssb_driver_unregister
[ 5.354333] b44: disagrees about version of symbol __ssb_driver_register
[ 5.354335] b44: Unknown symbol __ssb_driver_register
[ 5.354432] b44: disagrees about version of symbol ssb_bus_powerup
[ 5.354433] b44: Unknown symbol ssb_bus_powerup
[ 5.354760] b44: disagrees about version of symbol ssb_clockspeed
[ 5.354762] b44: Unknown symbol ssb_clockspeed
[ 5.354851] b44: disagrees about version of symbol ssb_dma_translation
[ 5.354852] b44: Unknown symbol ssb_dma_translation

03:00.0 "Ethernet controller [0200]" "Broadcom Corporation [14e4]" "BCM4401-B0 100Base-TX [170c]" -r02 "Dell [1028]" "Device [01fc]"

 *-network UNCLAIMED
       description: Ethernet controller
       product: BCM4401-B0 100Base-TX
       vendor: Broadcom Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       version: 02
       width: 32 bits
       clock: 33MHz
       capabilities: bus_master cap_list
       configuration: latency=64

Do I have to go back to 2.6.27-7.6 from 2.6.27-7-generic?

Fioravanti Diego (diravan) wrote :

The problem still persists with the update.

Fioravanti Diego (diravan) wrote :

ok, sorry. now it's working.
closed

Greg (greg-thesantosfamily) wrote :

Mine is still broken:
Linux gsantos-1521 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux
gsantos@gsantos-1521:~$ sudo modprobe b44
FATAL: Error inserting b44 (/lib/modules/2.6.27-7-generic/kernel/drivers/net/b44.ko): Unknown symbol in module, or unknown parameter (see dmesg)
gsantos@gsantos-1521:~$

How did you get yours to work? I am on 2.6.27-7.

03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
 *-network UNCLAIMED
       description: Ethernet controller
       product: BCM4401-B0 100Base-TX
       vendor: Broadcom Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       version: 02
       width: 32 bits
       clock: 33MHz
       capabilities: bus_master cap_list
       configuration: latency=64
[ 3897.984654] b44: disagrees about version of symbol ssb_device_is_enabled
[ 3897.984680] b44: Unknown symbol ssb_device_is_enabled
[ 3897.984935] b44: disagrees about version of symbol ssb_pcicore_dev_irqvecs_enable
[ 3897.984941] b44: Unknown symbol ssb_pcicore_dev_irqvecs_enable
[ 3897.985324] b44: disagrees about version of symbol ssb_bus_may_powerdown
[ 3897.985329] b44: Unknown symbol ssb_bus_may_powerdown
[ 3897.985493] b44: disagrees about version of symbol ssb_dma_free_consistent
...

Can you tell me how to correct this?

I'm new to Ubuntu so I ask for your patience in advance please.

While running Hardy I compiled Madwifi and had success with Atheros chipset and Broadcom wired connect. I did a clean/fresh install of Intrepid and after installing linux-backports-modules-intrepid to enable my Atheros wifi card AR5007Eg I succeeded in getting wifi but lost wired network.

See below for results of:
1. $ uname -a
2. $ modinfo b44
3. ** dmesg.log attached separately
4. ** lspci-vvnn.log attached separately

----------------

$ uname -a
Linux ubuntu-laptop 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux

----------------

$ modinfo b44
filename: /lib/modules/2.6.27-7-generic/kernel/drivers/net/b44.ko
version: 2.0
license: GPL
description: Broadcom 44xx/47xx 10/100 PCI ethernet driver
author: Felix Fietkau, Florian Schirmer, Pekka Pietikainen, David S. Miller
srcversion: D926C0FD72CC929295E14A0
alias: ssb:v4243id0806rev*
alias: pci:v000014E4d0000170Csv*sd*bc*sc*i*
alias: pci:v000014E4d00004402sv*sd*bc*sc*i*
alias: pci:v000014E4d00004401sv*sd*bc*sc*i*
depends: ssb,mii
vermagic: 2.6.27-7-generic SMP mod_unload modversions 586
parm: b44_debug:B44 bitmapped debugging message enable value (int)

--------------

I can provide any further information required but I am hoping someone can help me to get my wired connection back.
Thank you.

Michael.

Further to my previous post I add another attachment.

Thanks.
Michael

Tim Gardner (timg-tpi) wrote :

@Michael - subscribe to the proposed pocket, then update again.

System->Administration->Synaptic Package Manager->Settings->Repositories->Updates

Thanks for the help Tim - it works beautifully!

I had mistakenly subscribed to intrepid-backports instead of intrepid-proposed!

Thank you very much!!

Michael

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers